DROP TABLE FAILED_VOTES CASCADE CONSTRAINTS;
ALTER TABLE SUCCESSFUL_VOTES
  ADD TENANT_ID VARCHAR2(100 BYTE) NOT NULL ENABLE;
ALTER TABLE SUCCESSFUL_VOTES
  ADD ELECTION_EVENT_ID VARCHAR2(100 BYTE) NOT NULL ENABLE;
ALTER TABLE SUCCESSFUL_VOTES
  ADD BALLOT_BOX_ID VARCHAR2(100 BYTE) NOT NULL ENABLE;
ALTER TABLE SUCCESSFUL_VOTES
  ADD CONSTRAINT "SUCCESSFUL_VOTES__UK" UNIQUE ("TENANT_ID", "ELECTION_EVENT_ID", "VOTING_CARD_ID", "BALLOT_BOX_ID");